Name: cacti_plugins_ru
Version: 1.0
Release: 3.ru
Summary: Plugins for Cacti

Group: Applications/System
# There's a lot of stuff in there. It's all compatible.
License: GPLv2+ and LGPLv2 and (MPLv1.1 or GPLv2 or LGPLv2) and (LGPLv2 or BSD)
URL: http://www.cacti.net/
Source0: settings-v0.7-1.tar
Source1: thold-0.4.2.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: cacti
BuildArch: noarch
AutoReqProv: no

%description
Cacti is a complete frontend to RRDTool. It stores all of the
necessary information to create graphs and populate them with
data in a MySQL database. The frontend is completely PHP
driven. Along with being able to maintain graphs, data
sources, and round robin archives in a database, Cacti also
handles the data gathering. There is SNMP support for those
used to creating traffic graphs with MRTG.

%prep

%install
rm -rf %{buildroot}
%{__mkdir} -p %{buildroot}/%{_datadir}/cacti/plugins/
tar xf %{SOURCE0}  -C%{buildroot}/%{_datadir}/cacti/plugins/
tar xf %{SOURCE1}  -C%{buildroot}/%{_datadir}/cacti/plugins/

%clean
rm -rf %{buildroot}

%pre

%post
cat << EOF

Remember to go to "Plugin Management" in the cacti web interface, and click both the "install" and "enable" buttons for each plugin to fully enable them.

EOF

%postun
cat << EOF

The functionality has been removed, but the plugins may still appear under "Plugin Management" in the web interface until the "uninstall" button is clicked. 

EOF

%files
%defattr(-,root,root,-)
/usr/share/cacti/plugins/thold
/usr/share/cacti/plugins/settings


%changelog
* Thu Oct 28 2010 Jarek Sedlacek <jarek@nbcs.rutgers.edu> - 1.0-3.ru
- changed thold soure from thold-latest to thold-0.4.2
- replaced some hardcoded paths with macros
- removed plugins dir from files
* Wed Oct 27 2010 Jarek Sedlacek <jarek@nbcs.rutgers.edu> - 1.0-1.ru
- initial build, has Settings plugin and Thold (Threshold) plugin
